//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// AgentUndulating.h: interface for the AgentUndulating class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AGENTUNDULATING_H__E69797CF_5445_11D5_95DC_00C04F797C24__INCLUDED_)
#define AFX_AGENTUNDULATING_H__E69797CF_5445_11D5_95DC_00C04F797C24__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning(disable:4786)

#include "Agent.h"

class AgentUndulating : public Agent  
{
public:
	AgentUndulating();
	AgentUndulating(int ID, double weight, double undulation);
	virtual ~AgentUndulating();

	virtual string	getName()	{return "AgentUndulating";};
	virtual double	evaluateScaffold(Individual* individual);
protected:
	//Desired difference between the max and min z-value
	double	_undulation;
};

#endif // !defined(AFX_AGENTUNDULATING_H__E69797CF_5445_11D5_95DC_00C04F797C24__INCLUDED_)
