//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// Axiom.h: interface for the Axiom class.
//
//	This a non-terminal that is used when (re)constructing grammars
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AXIOM_H__B8885B50_1ECA_11D5_95D7_00C04F797C24__INCLUDED_)
#define AFX_AXIOM_H__B8885B50_1ECA_11D5_95D7_00C04F797C24__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "NonTerminal.h"

class Axiom : public NonTerminal  
{
public:
	Axiom();
	Axiom(BNF* grammar, BNFtype bnfType);
	virtual ~Axiom();

	void		reconstruct(Sentence* sent, Genotype* &genome, int multi = 0);
	Sentence*	getProductionRule(int gene, bool terminal);
};

#endif // !defined(AFX_AXIOM_H__B8885B50_1ECA_11D5_95D7_00C04F797C24__INCLUDED_)
