//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// Branch.cpp: implementation of the Branch class.
//
//////////////////////////////////////////////////////////////////////

#include "Branch.h"
#include <iostream>
#include "Vertex.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Branch::Branch()
{

}

Branch::Branch(int type, Vertex* ver, int ID)
{
	_type = type;
	_start = ver;
	_ID = ID;
}

Branch::~Branch()
{

}

void Branch::printInfo()
{
	cout << "Branch " << _ID << " has type " << _type << " is attached to vertex " << _start->getID() << endl;
	cout << "in " << _start->getPosition().printVector().c_str() << " with direction " << _direction.printVector().c_str() << endl;
}