//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// Kondition.cpp: implementation of the Kondition class.
//
//////////////////////////////////////////////////////////////////////

#include "Kondition.h"
#include <sstream>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Kondition::Kondition()
{

}

Kondition::Kondition(BNF* grammar, BNFtype bnfType)
: NonTerminal(grammar, bnfType)
{
	_name = CONDITION;
}

Kondition::~Kondition()
{

}

Sentence* Kondition::getProductionRule(int gene, bool terminal)
{
	int prod = gene % 3;
	ostringstream str;
	switch(prod)	{
	case 0:	str << IF << " i < Const";
			break;
	case 1:	str << IF << " i > Const";
			break;
	default:	str << IF << " i = Const";
			break;
	}
	return new Sentence(str.str());
}

void Kondition::reconstruct(Sentence* sent, Genotype* &genome, int multi)
{

}