//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// Kondition.h: interface for the Kondition class.
//
//	Kondition is a terminal used in the generation of the grammar.
//	Currently it is not being used by any BNF.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_KONDITION_H__2E88473F_3FC1_11D5_95DB_00C04F797C24__INCLUDED_)
#define AFX_KONDITION_H__2E88473F_3FC1_11D5_95DB_00C04F797C24__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "NonTerminal.h"

//The reason for the odd spelling is that Visual Studio will not permit the class name Condition....

class Kondition : public NonTerminal  
{
public:
	Kondition();
	Kondition(BNF* grammar, BNFtype bnfType);
	virtual ~Kondition();

	Sentence*	getProductionRule(int gene, bool terminal);
	void		reconstruct(Sentence* sent, Genotype* &genome, int multi = 0);

};

#endif // !defined(AFX_KONDITION_H__2E88473F_3FC1_11D5_95DB_00C04F797C24__INCLUDED_)
