//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// Successor.h: interface for the Successor class.
//
//	Use this for the Successor non-terminal in the grammar.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SUCCESSOR_H__B8885B52_1ECA_11D5_95D7_00C04F797C24__INCLUDED_)
#define AFX_SUCCESSOR_H__B8885B52_1ECA_11D5_95D7_00C04F797C24__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "NonTerminal.h"

class Successor : public NonTerminal  
{
public:
	Successor();
	Successor(BNF* grammar, BNFtype bnfType);
	virtual ~Successor();

	Sentence*	getProductionRule(int gene, bool terminal);
	void		reconstruct(Sentence* sent, Genotype* &genome, int multi = 0);

};

#endif // !defined(AFX_SUCCESSOR_H__B8885B52_1ECA_11D5_95D7_00C04F797C24__INCLUDED_)
