//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// AgentSize.h: interface for the AgentSize class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AGENTSIZE_H__8FDDD226_3265_11D5_95D8_00C04F797C24__INCLUDED_)
#define AFX_AGENTSIZE_H__8FDDD226_3265_11D5_95D8_00C04F797C24__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning(disable:4786)

#include "Agent.h"

class AgentSize : public Agent  
{
public:
	AgentSize();
	AgentSize(int ID, double weight, double xsize, double ysize);
	virtual ~AgentSize();

	virtual string	getName()	{return "AgentSize";};
	virtual double	evaluateScaffold(Individual* individual);
protected:
	//The desired extension on these directions
	double	_xsize, _ysize;
};

#endif // !defined(AFX_AGENTSIZE_H__8FDDD226_3265_11D5_95D8_00C04F797C24__INCLUDED_)
