//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// AgentSmooth.h: interface for the AgentSmooth class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AGENTSMOOTH_H__09E891F8_2DAE_11D5_95D7_00C04F797C24__INCLUDED_)
#define AFX_AGENTSMOOTH_H__09E891F8_2DAE_11D5_95D7_00C04F797C24__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning(disable:4786)


#include "Agent.h"

class AgentSmooth : public Agent 
{
public:
	AgentSmooth();
	AgentSmooth(int ID, double weight, double smoothness = 0);
	virtual ~AgentSmooth();

	virtual string	getName()	{return "AgentSmooth";};
	virtual double	evaluateScaffold(Individual* individual);

protected:
	//The desired difference in z-value between neighbours
	double		_smoothness;
};

#endif // !defined(AFX_AGENTSMOOTH_H__09E891F8_2DAE_11D5_95D7_00C04F797C24__INCLUDED_)
