//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// AgentSoftBoundary.h: interface for the AgentSoftBoundary class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AGENTSOFTBOUNDARY_H__163FEB2F_3A3E_11D5_95D9_00C04F797C24__INCLUDED_)
#define AFX_AGENTSOFTBOUNDARY_H__163FEB2F_3A3E_11D5_95D9_00C04F797C24__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning(disable:4786)

#include "Agent.h"

class AgentSoftBoundary : public Agent  
{
public:
	AgentSoftBoundary();
	AgentSoftBoundary(int ID, double weight);
	virtual ~AgentSoftBoundary();

	virtual string	getName()	{return "AgentSoftBoundary";};
	virtual double	evaluateScaffold(Individual* individual);

protected:
	
};

#endif // !defined(AFX_AGENTSOFTBOUNDARY_H__163FEB2F_3A3E_11D5_95D9_00C04F797C24__INCLUDED_)
