//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// AgentSubdivision.h: interface for the AgentSubdivision class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AGENTSUBDIVISION_H__8FDDD225_3265_11D5_95D8_00C04F797C24__INCLUDED_)
#define AFX_AGENTSUBDIVISION_H__8FDDD225_3265_11D5_95D8_00C04F797C24__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning(disable:4786)

#include "Agent.h"

class AgentSubdivision : public Agent  
{
public:
	AgentSubdivision();
	AgentSubdivision(int ID, double weight, double ratio);
	virtual ~AgentSubdivision();

	virtual string	getName()	{return "AgentSubdivision";};
	virtual double	evaluateScaffold(Individual* individual);

protected:
	//The desired ration between vertices and edges
	double		_ratio;
};

#endif // !defined(AFX_AGENTSUBDIVISION_H__8FDDD225_3265_11D5_95D8_00C04F797C24__INCLUDED_)
