//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// AgentSymmetry.h: interface for the AgentSymmetry class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AGENTSYMMETRY_H__9B982EB3_3589_11D5_95D8_00C04F797C24__INCLUDED_)
#define AFX_AGENTSYMMETRY_H__9B982EB3_3589_11D5_95D8_00C04F797C24__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning(disable:4786)

#include "Agent.h"

class AgentSymmetry : public Agent  
{
public:
	AgentSymmetry();
	AgentSymmetry(int ID, double weight, double ratio);
	virtual ~AgentSymmetry();

	virtual string	getName()	{return "AgentSymmetry";};
	virtual double	evaluateScaffold(Individual* individual);
protected:
	//The desired ratio between the number of vertices at each side of the x- and y-axis
	double	_ratio;
};

#endif // !defined(AFX_AGENTSYMMETRY_H__9B982EB3_3589_11D5_95D8_00C04F797C24__INCLUDED_)
