//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// Gravity.cpp: implementation of the Gravity class.
//
//////////////////////////////////////////////////////////////////////

#include "Gravity.h"
#include <iostream>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Gravity::Gravity()
{

}

Gravity::Gravity(Direction dir, int ID, double konst)
{
	_ID = ID;
	_dir = dir;
	_const = konst;
}

Gravity::~Gravity()
{

}

Vector Gravity::getForce(Vector pos)
{
	Vector dir;
	//We do not have to care about the distance for gravity
	if(_dir==X)
		dir.setX(magnitude(42, _const, 0));
	else if(_dir==Y)
		dir.setY(magnitude(42, _const, 0));
	else
		dir.setZ(magnitude(42, _const, 0));

	return dir;
}
