//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// Predecessor.h: interface for the Predecessor class.
//
//	This class is used for the non-terminal with the same name in the grammar
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PREDECESSOR_H__B8885B53_1ECA_11D5_95D7_00C04F797C24__INCLUDED_)
#define AFX_PREDECESSOR_H__B8885B53_1ECA_11D5_95D7_00C04F797C24__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "NonTerminal.h"

class Predecessor : public NonTerminal  
{
public:
	Predecessor();
	Predecessor(BNF* grammar, BNFtype bnfType);
	virtual ~Predecessor();
	
	Sentence*	getProductionRule(int gene, bool terminal);
	void		reconstruct(Sentence* sent, Genotype* &genome, int multi = 0);
};

#endif // !defined(AFX_PREDECESSOR_H__B8885B53_1ECA_11D5_95D7_00C04F797C24__INCLUDED_)
