//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// RewriteRule.h: interface for the RewriteRule class.
//
//	The non-terminal that is used when expanding the grammar.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_REWRITERULE_H__49AD4515_188E_11D5_95D7_00C04F797C24__INCLUDED_)
#define AFX_REWRITERULE_H__49AD4515_188E_11D5_95D7_00C04F797C24__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "NonTerminal.h"

class RewriteRule : public NonTerminal  
{
public:
	RewriteRule();
	RewriteRule(BNF* grammar, BNFtype bnfType);
	virtual ~RewriteRule();

	Sentence*	getProductionRule(int gene, bool terminal);
	void		reconstruct(Sentence* sent, Genotype* &genome, int multi = 0);

private:
	

};

#endif // !defined(AFX_REWRITERULE_H__49AD4515_188E_11D5_95D7_00C04F797C24__INCLUDED_)
