//
// Copyright (C) 2001 Martin Hemberg. You are allowed to use or modify the code, but this note must be kept intact.
// 
// Terminal.cpp: implementation of the Terminal class.
//
//////////////////////////////////////////////////////////////////////

#include "Terminal.h"
#include <iostream>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Terminal::Terminal()
{
	_sentence = new Sentence();
}

Terminal::~Terminal()
{

}

void Terminal::getFullSentence(Sentence* &sentence)
{
	//sentence->printSentence();
	string name;
	for(int i=0; i<_sentence->numberOfWords(); i++)	{
		name = _sentence->getWord(i)->getName();
		if(name==AXIOM || name==L_SYSTEM || name==REWRITE_RULE || name==PREDECESSOR ||
			name==SUCCESSOR || name==MODIFIER || name==OPERATOR || name==CONDITION)
			((Terminal*)_sentence->getWord(i))->getFullSentence(sentence);
		else
			sentence->addWord(_sentence->getWord(i));
	}
}